xpath_variable_string Struct Reference
Inheritance diagram for xpath_variable_string:
[legend]
Collaboration diagram for xpath_variable_string:
[legend]

## Public Member Functions

| xpath_variable_string ()
| ~xpath_variable_string ()

## Public Attributes

char_t * | value
char_t | name [1]

## Detailed Description

Definition at line 7165 of file pugixml.cpp.

## Constructor & Destructor Documentation

## xpath_variable_string()

xpath_variable_string::xpath_variable_string | ( |  | ) |

inline

Definition at line 7167 of file pugixml.cpp.

: value(0)
{
}
xpath_variable_string::value
char_t * value
Definition: pugixml.cpp:7176

## ~xpath_variable_string()

xpath_variable_string::~xpath_variable_string | ( |  | ) |

inline

Definition at line 7171 of file pugixml.cpp.

References xml_memory_management_function_storage< T >::deallocate.

{
if (value) xml_memory::deallocate(value);
}
xpath_variable_string::value
char_t * value
Definition: pugixml.cpp:7176
xml_memory_management_function_storage::deallocate
static deallocation_function deallocate
Definition: pugixml.cpp:164

## Member Data Documentation

## name

char_t xpath_variable_string::name[1]

Definition at line 7177 of file pugixml.cpp.

## value

char_t* xpath_variable_string::value

Definition at line 7176 of file pugixml.cpp.

The documentation for this struct was generated from the following file:

- pugixml.cpp